net.sourceforge.jnlp.runtime

## Class AppletInstance

- java.lang.Object
- - net.sourceforge.jnlp.runtime.ApplicationInstance
  - - net.sourceforge.jnlp.runtime.AppletInstance

    public class AppletInstance
    extends ApplicationInstance

Represents a launched application instance created from a JNLP file. This class does not control the operation of the applet, use the AppletEnvironment class to start and stop the applet.

### Constructor Summary

Constructors
Constructor and Description
`AppletInstance(JNLPFile file, java.lang.ThreadGroup group, java.lang.ClassLoader loader, java.applet.Applet applet)` Create a New Task based on the Specified URL
`AppletInstance(JNLPFile file, java.lang.ThreadGroup group, java.lang.ClassLoader loader, java.applet.Applet applet, java.awt.Container cont)`

### Method Summary

Methods
`void` `destroy()` Stop the application and destroy its resources.
`java.applet.Applet` `getApplet()` Returns the applet.
`AppletEnvironment` `getAppletEnvironment()` Returns the applet environment.
`java.lang.String` `getTitle()` Returns the application title.
`boolean` `isResizable()` Returns whether the applet is resizable.
`void` `setApplet(java.applet.Applet applet)` Set the applet of this launched application; can only be called once.
`void` `setResizable(boolean resizable)` Sets whether the applet is resizable or not.

### Methods inherited from class net.sourceforge.jnlp.runtime.ApplicationInstance

`addApplicationListener, addWindow, finalize, fireDestroyed, getAppContext, getClassLoader, getJNLPFile, getThreadGroup, initialize, isRunning, isSigned, removeApplicationListener`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppletInstance

    public AppletInstance(JNLPFile file,
                  java.lang.ThreadGroup group,
                  java.lang.ClassLoader loader,
                  java.applet.Applet applet)

Create a New Task based on the Specified URL

#### AppletInstance

    public AppletInstance(JNLPFile file,
                  java.lang.ThreadGroup group,
                  java.lang.ClassLoader loader,
                  java.applet.Applet applet,
                  java.awt.Container cont)

### Method Detail

#### setApplet

    public void setApplet(java.applet.Applet applet)

Set the applet of this launched application; can only be called once.

#### setResizable

    public void setResizable(boolean resizable)

Sets whether the applet is resizable or not. Applets default to being not resizable.

#### isResizable

    public boolean isResizable()

Returns whether the applet is resizable.

#### getTitle

    public java.lang.String getTitle()

Returns the application title.

Overrides:
  `getTitle` in class `ApplicationInstance`

#### getAppletEnvironment

    public AppletEnvironment getAppletEnvironment()

Returns the applet environment.

#### getApplet

    public java.applet.Applet getApplet()

Returns the applet.

#### destroy

    public void destroy()

Stop the application and destroy its resources.

Overrides:
  `destroy` in class `ApplicationInstance`